darcs

Issue 1879 darcs fails to notice commute failure on ostensibly common patches

Title darcs fails to notice commute failure on ostensibly common patches
Priority invalid Status wont-fix
Milestone Resolved in
Superseder Nosy List dmitry.kurochkin, kowey
Assigned To
Topics

Created on 2010-06-23.14:44:26 by kowey, last changed 2018-11-03.17:17:17 by bf.

Files
File name Uploaded Type Edit Remove
failing-cvs-duplicate-patchinfo.sh kowey, 2010-06-23.14:44:24 application/x-sh
Messages
msg11555 (view) Author: kowey Date: 2010-06-23.14:44:24
As shown in this patch.  This *should* be fixed by Petr's 3-way
partitionFL patch which I'm currently reviewing.

-- 
Eric Kow <http://www.nltg.brighton.ac.uk/home/Eric.Kow>
PGP Key ID: 08AC04F9
Attachments
msg11556 (view) Author: kowey Date: 2010-06-23.14:54:18
Oops, wrong test (no actual dependency).
I'll push the right one in later.

-- 
Eric Kow <http://www.nltg.brighton.ac.uk/home/Eric.Kow>
PGP Key ID: 08AC04F9
msg11560 (view) Author: kowey Date: 2010-06-23.15:53:24
The following patch updated issue issue1879 with status=resolved;resolvedin=2.6.0 HEAD

* Resolve issue1879: notice unexpected commute failure on merge. 
Ignore-this: ee25219b305f2d01d21404c55fa24342
Fixed by Petr's 3-way partitionFL.
msg11670 (view) Author: kowey Date: 2010-07-01.21:21:51
The following patch updated issue issue1879 with status=resolved;resolvedin=2.5.0 CURRENT

* Resolve issue1879: notice unexpected commute failure on merge. 
Ignore-this: ee25219b305f2d01d21404c55fa24342
Fixed by Petr's 3-way partitionFL.
msg20438 (view) Author: bf Date: 2018-11-03.17:17:14
I am marking this as invalid/wont-fix.

First, what it complains about is missing lipstick on a pig. The solution it 
suggests protects against spoofed patches only if they happen to depend on 
patches not in our repo. This can easily be avoided simply by making the spoofed 
patch in a current clone. We should be able to /reliably/ detect spoofed patches 
or not at all.

Second, and more importantly, the "fix" actually breaks Darcs in an absolutely 
horrible way. See issue2605 for details.
History
Date User Action Args
2010-06-23 14:44:26koweycreate
2010-06-23 14:54:19koweysetmessages: + msg11556
2010-06-23 15:53:25koweysetstatus: unknown -> resolved
messages: + msg11560
resolvedin: 2.8.0
2010-06-23 15:54:01koweysetmilestone: 2.5.0
2010-06-23 15:54:11koweysetpriority: bug
topic: + Regression
2010-07-01 21:21:52koweysetmessages: + msg11670
resolvedin: 2.8.0 -> 2.5.0
2018-11-03 17:17:17bfsetstatus: resolved -> wont-fix
topic: - Regression
milestone: 2.5.0 ->
messages: + msg20438
priority: bug -> invalid
resolvedin: 2.5.0 ->